org.apache.poi.xdgf.usermodel

## Class XDGFConnection

- java.lang.Object
- - org.apache.poi.xdgf.usermodel.XDGFConnection

-     public class XDGFConnection
      extends java.lang.Object

  Represents connections in a Visio diagram. Note that just because something appears to be visually connected in a document does not mean that the user actually connected the elements. It turns out there are a lot of ways that a careless user can neglect to properly make connections that will not be recorded in the diagram in a machine readable way.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `visBegin`
    `static int` | `visBeginX`
    `static int` | `visBeginY`
    `static int` | `visBottomEdge`
    `static int` | `visCenterEdge`
    `static int` | `visConnectFromError`
    `static int` | `visConnectToError`
    `static int` | `visEnd`
    `static int` | `visEndX`
    `static int` | `visEndY`
    `static int` | `visFromAngle`
    `static int` | `visFromNone`
    `static int` | `visFromPin`
    `static int` | `visGuideIntersect`
    `static int` | `visGuideX`
    `static int` | `visGuideY`
    `static int` | `visLeftEdge`
    `static int` | `visMiddleEdge`
    `static int` | `visRightEdge`
    `static int` | `visToAngle`
    `static int` | `visToNone`
    `static int` | `visTopEdge`
    `static int` | `visWholeShape`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XDGFConnection(com.microsoft.schemas.office.visio.x2012.main.ConnectType connect, XDGFShape from, XDGFShape to)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `XDGFCell` | `getFromCell()`
    `java.lang.String` | `getFromCellName()`
    `java.lang.Integer` | `getFromPart()`
    `XDGFShape` | `getFromShape()`
    `java.lang.String` | `getToCellName()`
    `java.lang.Integer` | `getToPart()` The ToPart property identifies the part of a shape to which another shape is glued, such as its begin point or endpoint, one of its edges, or a connection point.
    `XDGFShape` | `getToShape()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### visConnectFromError

          public static final int visConnectFromError

      See Also:
        Constant Field Values

    - #### visFromNone

          public static final int visFromNone

      See Also:
        Constant Field Values

    - #### visLeftEdge

          public static final int visLeftEdge

      See Also:
        Constant Field Values

    - #### visCenterEdge

          public static final int visCenterEdge

      See Also:
        Constant Field Values

    - #### visRightEdge

          public static final int visRightEdge

      See Also:
        Constant Field Values

    - #### visBottomEdge

          public static final int visBottomEdge

      See Also:
        Constant Field Values

    - #### visMiddleEdge

          public static final int visMiddleEdge

      See Also:
        Constant Field Values

    - #### visTopEdge

          public static final int visTopEdge

      See Also:
        Constant Field Values

    - #### visBeginX

          public static final int visBeginX

      See Also:
        Constant Field Values

    - #### visBeginY

          public static final int visBeginY

      See Also:
        Constant Field Values

    - #### visBegin

          public static final int visBegin

      See Also:
        Constant Field Values

    - #### visEndX

          public static final int visEndX

      See Also:
        Constant Field Values

    - #### visEndY

          public static final int visEndY

      See Also:
        Constant Field Values

    - #### visEnd

          public static final int visEnd

      See Also:
        Constant Field Values

    - #### visFromAngle

          public static final int visFromAngle

      See Also:
        Constant Field Values

    - #### visFromPin

          public static final int visFromPin

      See Also:
        Constant Field Values

    - #### visConnectToError

          public static final int visConnectToError

      See Also:
        Constant Field Values

    - #### visToNone

          public static final int visToNone

      See Also:
        Constant Field Values

    - #### visGuideX

          public static final int visGuideX

      See Also:
        Constant Field Values

    - #### visGuideY

          public static final int visGuideY

      See Also:
        Constant Field Values

    - #### visWholeShape

          public static final int visWholeShape

      See Also:
        Constant Field Values

    - #### visGuideIntersect

          public static final int visGuideIntersect

      See Also:
        Constant Field Values

    - #### visToAngle

          public static final int visToAngle

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### XDGFConnection

          public XDGFConnection(com.microsoft.schemas.office.visio.x2012.main.ConnectType connect,
                                XDGFShape from,
                                XDGFShape to)

  - ### Method Detail

    - #### getFromShape

          public XDGFShape getFromShape()

    - #### getFromCell

          public XDGFCell getFromCell()

    - #### getFromCellName

          public java.lang.String getFromCellName()

    - #### getToShape

          public XDGFShape getToShape()

    - #### getToCellName

          public java.lang.String getToCellName()

    - #### getFromPart

          public java.lang.Integer getFromPart()

    - #### getToPart

          public java.lang.Integer getToPart()

      The ToPart property identifies the part of a shape to which another shape is glued, such as its begin point or endpoint, one of its edges, or a connection point.

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.